Bug 211788 - run-parts /etc/cron.weekly fails
run-parts /etc/cron.weekly fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-22 17:21 EDT by Darwin H. Webb
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 07:13:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
makewhatis cron maill output (7.92 KB, text/plain)
2006-10-22 17:22 EDT, Darwin H. Webb
no flags Details

  None (edit)
Description Darwin H. Webb 2006-10-22 17:21:57 EDT
Description of problem:
 run-parts /etc/cron.weekly fails with bad language
for 
/etc/cron.weekly/makewhatis.cron:

error: rpmdbNextIterator: skipping h#     618 Header SHA1 digest: BAD
Expected(a37eb0eb0268f1dc925b1cd4046ce4d05691cd9e) !=
(3259f112992fd31d6b79ed73f119aad41a365e03)
/usr/sbin/makewhatis: line 148: 24951 Done                    echo ${x}
     24952 Segmentation fault      | $AWK '
Version-Release number of selected component (if applicable):


How reproducible:
It has occurred 2 or 3 times that I can remeber for FC6 testing period.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Script fails with errors, bad fonts (boxes.
As seen in mail from root.

Expected results:


Additional info:
Attched mail ss text file.
Comment 1 Darwin H. Webb 2006-10-22 17:22:00 EDT
Created attachment 139088 [details]
makewhatis cron maill output
Comment 2 Dave Jones 2006-10-28 01:52:04 EDT
makewhatis segfaulting would be a man bug.
Did you get a corefile? If so, running gdb /usr.bin/makewhatis core.24952 
and pasting the backtrace will be useful.

Note You need to log in before you can comment on or make changes to this bug.